## bepasty 0.6.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/bepasty.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/bepasty.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/bepasty"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/bepasty"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## bepasty 0.5.0

=== debian/changelog ===
bepasty (0.5.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Elena Grandi <valhalla@debian.org>  Thu, 02 Jul 2020 09:21:27 +0200

bepasty (0.5.0-2) unstable; urgency=medium

  * Upload to sid
  * Add manpages
  * Bump compat to 13

 -- Elena Grandi <valhalla@debian.org>  Sat, 27 Jun 2020 12:12:34 +0200

bepasty (0.5.0-1) experimental; urgency=low

  * Initial release (Closes: #950721).

 -- Elena Grandi <valhalla@debian.org>  Sun, 29 Mar 2020 11:10:12 +0200

=== debian/control ===
Source: bepasty
Section: net
Priority: optional
Maintainer: Elena Grandi <valhalla@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-flask,
 python3-pygments,
 python3-pytest,
 python3-selenium,
 python3-sphinx,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/bepasty/bepasty-server/
Vcs-Git: https://salsa.debian.org/python-team/applications/bepasty.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/bepasty

Package: bepasty
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
 fonts-font-awesome,
 libjs-bootbox,
 libjs-bootstrap,
 libjs-bootswatch,
 libjs-jquery,
 libjs-jquery-ui,
 libjs-jquery-file-upload,
 python3-flask,
 python3-pygments,
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: binary pastebin / file upload service
 bepasty is like a pastebin for all kinds of files (text, image, audio, video,
 documents, ..., binary).

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=bepasty
export PYBUILD_DISABLE=test
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean || true
	rm -rf .pybuild
	rm -rf .pytest_cache

override_dh_auto_build:
	dh_auto_build
	cd docs ; make html PYTHONPATH=../src ; cd -
	cd debian ; rst2man bepasty-server.1.rst bepasty-server.1 ; cd -
	cd debian ; rst2man bepasty-object.1.rst bepasty-object.1 ; cd -

=== debian/watch ===
# try also https://pypi.debian.net/bepasty/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/bepasty/bepasty-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bepasty 0.6.0

=== debian/changelog ===
bepasty (0.6.0-1) unstable; urgency=medium

  [ Elena Grandi ]
  * Added uwsgi example configuration. (Closes: #966314).
  * New upstream release
  * Workaround to prevent writing _version when cleaning. (Closes: #978274)
  * Mark local patches as Forwarded: not-needed.
  * Override a lintian repeated-path-segment false positive.
  * Update watch format version.
  * Bump Standards-Version to 4.5.1 (no changes needed).

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Elena Grandi <valhalla@debian.org>  Sat, 02 Jan 2021 12:32:07 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
  python3-pytest,
  python3-selenium,
  python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/bepasty/bepasty-server/
-Vcs-Git: https://salsa.debian.org/python-team/applications/bepasty.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/bepasty
+Vcs-Git: https://salsa.debian.org/python-team/packages/bepasty.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/bepasty
 
 Package: bepasty
 Architecture: all
@@ -27,7 +27,7 @@
  ${sphinxdoc:Depends},
  fonts-font-awesome,
  libjs-bootbox,
- libjs-bootstrap,
+ libjs-bootstrap4,
  libjs-bootswatch,
  libjs-jquery,
  libjs-jquery-ui,

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,11 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
+	cp src/bepasty/_version.py debian/old_version.py
 	dh_auto_clean || true
 	rm -rf .pybuild
 	rm -rf .pytest_cache
+	mv debian/old_version.py src/bepasty/_version.py
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
# try also https://pypi.debian.net/bepasty/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/bepasty/bepasty-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bepasty 1.0.0

=== debian/changelog ===
bepasty (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0.1 (no changes needed).

 -- Elena Grandi <valhalla@debian.org>  Fri, 17 Dec 2021 09:35:28 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-pytest,
  python3-selenium,
  python3-sphinx,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://github.com/bepasty/bepasty-server/
 Vcs-Git: https://salsa.debian.org/python-team/packages/bepasty.git

## bepasty 1.1.0

=== debian/changelog ===
bepasty (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Improved examples and added nginx and lighttpd configurations.

 -- Elena Grandi <valhalla@debian.org>  Wed, 28 Jun 2023 13:30:03 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-flask,
- python3-pygments,
+ python3-pygments (>= 2.12),
  python3-pytest,
  python3-selenium,
  python3-sphinx,
@@ -33,8 +33,10 @@
  libjs-jquery-ui,
  libjs-jquery-file-upload,
  python3-flask,
- python3-pygments,
-Recommends: ${python3:Recommends}
+ python3-pygments (>= 2.12),
+Recommends:
+ ${python3:Recommends},
+ python3-pil
 Suggests: ${python3:Suggests}
 Description: binary pastebin / file upload service
  bepasty is like a pastebin for all kinds of files (text, image, audio, video,

## bepasty 1.2.0

=== debian/changelog ===
bepasty (1.2.0-3) unstable; urgency=medium

  [Carsten Schoenert]
  * Use urllib.parse.quote instead of werkzeug.url_quote. Closes: #1061237

  [Elena Grandi]
  * Build the pygments css and make them available. Closes: #968821

 -- Elena Grandi <valhalla@debian.org>  Wed, 24 Jan 2024 13:48:56 +0100

bepasty (1.2.0-2) unstable; urgency=medium

  * Remove build and test dependency on chromium-driver, still not used.

 -- Elena Grandi <valhalla@debian.org>  Fri, 12 Jan 2024 10:58:27 +0100

bepasty (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Clean generated files including in docs/build/. Closes: #1043650
  * Re-enable running of build-time tests.
  * Add an initial set of autopkgtests.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Elena Grandi <valhalla@debian.org>  Fri, 05 Jan 2024 11:24:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,18 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ gawk,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
  python3-flask,
+ python3-markupsafe,
  python3-pygments (>= 2.12),
  python3-pytest,
  python3-selenium,
  python3-sphinx,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/bepasty/bepasty-server/
 Vcs-Git: https://salsa.debian.org/python-team/packages/bepasty.git
@@ -33,6 +36,7 @@
  libjs-jquery-ui,
  libjs-jquery-file-upload,
  python3-flask,
+ python3-markupsafe,
  python3-pygments (>= 2.12),
 Recommends:
  ${python3:Recommends},

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 python3-all,
 python3-flask,
 python3-pytest,
 python3-selenium,
 python3-sphinx,
Restrictions: allow-stderr

## bepasty 1.2.1

=== debian/changelog ===
bepasty (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Dropped patches applied upstream.
  * New upstream optional dep / Recommends: python3-magic

 -- Elena Grandi <valhalla@debian.org>  Fri, 08 Mar 2024 13:29:49 +0100

=== debian/control ===
--- 
+++ 
@@ -40,6 +40,7 @@
  python3-pygments (>= 2.12),
 Recommends:
  ${python3:Recommends},
+ python3-magic,
  python3-pil
 Suggests: ${python3:Suggests}
 Description: binary pastebin / file upload service

=== debian/watch ===
# try also https://pypi.debian.net/bepasty/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/bepasty/bepasty-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bepasty 1.2.2

=== debian/changelog ===
bepasty (1.2.2-2) unstable; urgency=medium

  * Fix loading pygments css. Closes: #1124997
  * Bump Standards-Version to 4.7.3 (no changes needed).

 -- Elena Grandi <valhalla@debian.org>  Wed, 04 Mar 2026 11:22:48 +0100

bepasty (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Elena Grandi <valhalla@debian.org>  Tue, 12 Aug 2025 13:22:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: bepasty
 Section: net
-Priority: optional
 Maintainer: Elena Grandi <valhalla@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -16,8 +15,7 @@
  python3-pytest,
  python3-selenium,
  python3-sphinx,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/bepasty/bepasty-server/
 Vcs-Git: https://salsa.debian.org/python-team/packages/bepasty.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bepasty

=== debian/watch ===
Version: 5

# try also https://pypi.debian.net/bepasty/watch
Source: https://pypi.debian.net/bepasty/
Matching-Pattern: bepasty-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Uversionmangle: s/(rc|a|b|c)/~$1/
